For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a rule.
      • GETList all rules
      • POSTReplace all rules
      • PATCHModify an existing rule
      • DELDelete a rule
LogoLogo
Legacy DocsSign in
API ReferencePersonalization

List all rules

GET
https://api.ntropy.com/v3/rules
GET
/v3/rules
$curl -X "GET" \
> "https://api.ntropy.com/v3/rules" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1[
2 {
3 "if": {},
4 "then": [
5 {
6 "set": "logo",
7 "to": "http://example.com/favicon.ico"
8 }
9 ],
10 "else": [
11 {
12 "remove_label": "example label"
13 }
14 ]
15 }
16]
List all rules
Was this page helpful?
Previous

Replace all rules

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Response

Successful Response
ifobject
OR
modify labelsobject
OR
setobject

Errors

422
Unprocessable Entity Error